<div class="page-wrapper page-change">
    <div class="wrapper">
        <div class="main-body">
            <div class="card bg-white">
                <div class="card-content">
                    <section class="logo-container">
                        <img class="logo" src="../../assets/images/background/zf.svg">
                    </section>

                    <form name="reset_form" class="md-form-login form-validation" data-ng-submit="resetPassword(credentials);">
                        <fieldset>
                            <md-input-container>
                                <label class="placeholder-label">New password</label>
                                <input
                                    type="password"
                                    name="password"
                                    id="password"
                                    required
                                    ng-model="credentials.password"
                                    ng-minlength="::UtilService.getValidationValue('password', 'minlength')"
                                    ng-maxlength="::UtilService.getValidationValue('password', 'maxlength')"
                                    ng-pattern="::UtilService.getValidationValue('password', 'pattern')"
                                    />
                                <div ng-messages="reset_form.password.$error" ng-if="reset_form.password.$dirty">
                                    <div ng-repeat="validation in ::UtilService.validations.password" ng-message="{{validation.name}}">
                                        <span ng-if="validation.additional">
                                            <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                            {{ validation.message }}
                                        </span>
                                        <span ng-if="! validation.additional">{{ validation.message }}</span>
                                    </div>
                                </div>
                            </md-input-container>
                            <md-input-container>
                                <label class="placeholder-label">Confirm new password</label>
                                <input
                                    type="password"
                                    name="confirmPwd"
                                    id="confirmPwd"
                                    required
                                    ng-model="credentials.confirmPwd"
                                    ng-minlength="::UtilService.getValidationValue('password', 'minlength')"
                                    ng-maxlength="::UtilService.getValidationValue('password', 'maxlength')"
                                    identical-to="credentials.password"/>
                                <div ng-messages="reset_form.confirmPwd.$error" ng-if="reset_form.confirmPwd.$dirty">
                                    <div ng-repeat="validation in VALIDATIONS.confirmPwd" ng-message="{{validation.name}}">
                                        <span ng-if="validation.additional">
                                            <md-tooltip md-direction="top">{{ validation.additional }}</md-tooltip>
                                            {{ validation.message }}
                                        </span>
                                        <span ng-if="!validation.additional">{{ validation.message }}</span>
                                    </div>
                                </div>
                            </md-input-container>
                            <div class="comment text-center text-small">
                                <!-- Text for this new password page -->
                            </div>
                        </fieldset>
                        <div class="card-action no-border text-right">
                            <md-button type="submit"
                                       id="changepwd"
                                       class="md-raised"
                                       ng-disabled="reset_form.$invalid">Apply</md-button>
                        </div>
                    </form>
                    <copyright></copyright>
                </div>

                <div class="additional-background">
                    <div class="version-container"></div>
                    <bg-instance></bg-instance>
                </div>
            </div>
        </div>
    </div>
</div>


